Unit tqsf5r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSF5R_p, FGQSF5R_p, QSF5R_p;

function tqsf5r: String;

implementation

function tqsf5r: String;
var
K,L1,L2,IERR :Integer;
A,B,W,E,S1,S2,CR,SR,CI,SI :Real;
begin
Result := '';  {   }
A := -2.0;
B := -5.0;
W := -100.0;
E := 1.E-5;
K := 1;
L1 := 1;
L2 := 1;
QSF5R(CI,SI,A,B,FQSF5R,FGQSF5R,W,E,K,L1,L2,IERR);
S1 := W*Sin(-5.0);
S2 := W*Sin(-2.0);
CR := (Sin(S1)-Sin(S2))/W;
SR := (Cos(S2)-Cos(S1))/W;
Result := Result + Format('%20.16f %20.16f %20.16f %20.16f %8d %8d ',
 [CI,CR,SI,SR,K,IERR]) + #$0D#$0A;
UtRes('tqsf5r',Result);  {     tqsf5r.res }
exit;
end;

end.
